/*
 * Copyright 2009 the original author or authors.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package groovyx.groovyserv

import groovyx.groovyserv.test.IntegrationTest
import groovyx.groovyserv.test.TestUtils
import spock.lang.Specification

@IntegrationTest
class ThreadSpec extends Specification {

    static final String SEP = System.getProperty("line.separator")

    def "using a simple thread"() {
        when:
        def result = TestUtils.executeClientCommandSuccessfully(["-e", '"(new Thread({-> println(\'output from thread\') } as Runnable)).start()"'])

        then:
        result.out == 'output from thread' + SEP
        result.err == ''
    }

}
